Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory

    java.lang.Object
      org.apache.catalina.mbeans.JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory

All Implemented Interfaces:
  Serializable, RMIClientSocketFactory

Enclosing class:
  JmxRemoteLifecycleListener

    public static class JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory

extends Object
implements RMIClientSocketFactory, Serializable

See Also:
  Serialized Form

Constructor Summary
`JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory(RMIClientSocketFactory theFactory)`

Method Summary
`Socket` | `createSocket(String host, int port)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory

    public JmxRemoteLifecycleListener.RmiClientLocalhostSocketFactory(RMIClientSocketFactory theFactory)

Method Detail

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException

  Specified by:
    `createSocket` in interface `RMIClientSocketFactory`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.